﻿@model BeerOverflow.Web.Models.UserViewModel

@{
    ViewData["Title"] = "Ban";
}

<h1>Ban</h1>

<h3>Are you sure you want to ban user?</h3>
<div>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.ID)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.ID)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Name)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Age)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Age)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Email)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Email)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Username)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Username)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.IsBanned)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.IsBanned)
        </dd>
    </dl>
    
    <form asp-action="Ban">
        @Html.DisplayNameFor(model => model.BanDescription)
        <div class="col-lg-6 form-group">
            <textarea id="banDescription" name="banDescription" rows="4" style="width:inherit"></textarea>
        </div>
        <div class="col-lg-6 form-group">
            <input type="submit" value="Ban" class="btn btn-danger" />
        </div>
        <a asp-action="Index">Back to List</a>
    </form>
</div>
